<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 1.0.0

Copyright (C) 2006-2014  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smi.no-ip.org
 ****************************************************************************************/

session_start();

require_once("../lib/gettext/gettext.inc");
include_once("../inc/config.inc.php");
include_once("../inc/func_log.inc.php");
if (CheckURLLog(TRUE) == FALSE) header("Location: ../index.php");
if (CheckNivLog("9") == FALSE) header("Location: ../index.php");
include_once("../inc/fic_droits.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
// Variables Formulaire
fix_magic_quotes();

// Ce champ ne doit pas être nettoyé (codes HTML)
$texte = $_POST['texte'];

// Nettoyage du POST
$_POST = clean_str($_POST);

$titre = @$_POST["titre"];
$td = @$_POST["td"];

$code = str_majuscules(@$_POST["code"]);
$desc = @$_POST["desc"];
$ent = @$_POST["ent"];


$retourliste = TRUE;

$codeuser = @$_SESSION["code_log"];

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
switch ($td) {
    // Ajout de la fiche Texte Type
    case "add" :
        $rech = "SELECT COUNT(*) FROM `" . TBTXT . "` WHERE `txt_code` = '" . $db->escape($code) . "'";
        $nb_rs = $db->get_var($rech);
        if ($nb_rs == 0) {
            $rech2 = "INSERT INTO `" . TBTXT . "`";
            $rech2 .= " (txt_datecrea,txt_codecrea,txt_datemod,txt_codemod,txt_code,txt_entete,txt_desc,txt_texte,txt_delok) VALUES";
            $rech2 .= " ('$datea','$codeuser','$datea','$codeuser','" . $db->escape($code) . "','";
            $rech2 .= $db->escape($ent) . "','" . $db->escape($desc) . "','" . $db->escape($texte) . "','1')";
            $db->query($rech2);

            $msg = _("Fiche ajoutée");
        } else {
            $msg = _("Ce code existe déjà");
            $retourliste = FALSE;
        }
        break;

    // MAJ de la fiche Texte type
    case "edit" :
        $rech = "UPDATE `" . TBTXT . "` SET `txt_datemod`='" . $datea . "', `txt_codemod`='" . $codeuser . "', `txt_code`='" . $db->escape($code) . "',";
        $rech .= "`txt_entete`='" . $db->escape($ent) . "',`txt_desc`='" . $db->escape($desc) . "',";
        $rech .= " `txt_texte`='" . $db->escape($texte) . "'   WHERE `txt_code` = '" . $db->escape($code) . "'";
        $db->query($rech);
        $msg = _("Fiche modifiée");
        break;

    // Suppression de la fiche texte type
    case "del" :
        // Vérifie si on peut supprimer ce texte type
        $rech = "SELECT COUNT(*) FROM `" . TBTXT . "` WHERE `txt_code` = '" . $db->escape($code) . "' AND `txt_delok` = '1'";
        $nb_rs = $db->get_var($rech);
        if ($nb_rs <> 0) {
            // SUPPRESSION de la fiche texte type
            $rech = "DELETE FROM `" . TBTXT . "` WHERE `txt_code` = '" . $db->escape($code) . "'";
            $db->query($rech);
            $msg = _("Fiche supprimée");
        } else {
            $msg = _("Suppression impossible");
            $retourliste = FALSE;
        }
        break;

    default :
        $msg = _("Problème de paramètres");
        $retourliste = FALSE;
        break;
}
$db->disconnect();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Fiche Texte Type"); ?></title>

    <?PHP include_once("../inc/header.inc.php"); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>

<?php include_once("../inc/entete.inc.php"); ?>
<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>

<p align="center">&nbsp;</p>
<?PHP
if ($retourliste == FALSE) {
    exec_func_js("warn_txt('" . str_escape($msg) . "')");
    aff_ret_idx_man($td, "txt_lst.php", _("Retour à la liste"), TRUE);
} else
    pop_ret_auto($msg, 'ok', "txt_lst.php");
include_once("pied.php");
?>
</body>

</html>